in scala.xml
object Null

case `object` Null
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject
  `with` scala.CaseClass

Constructor Summary
| `def` this

Def Summary
`final` `override` | `def` $tag : scala.Int
`override` | `def` append ( m : scala.xml.MetaData ) : scala.xml.MetaData appends given MetaData items to this MetaData list
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement ( x$1 : scala.Int ) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`override` | `def` containedIn1 ( m : scala.xml.MetaData ) : scala.Boolean
| `def` copy ( next : scala.xml.MetaData ) : scala.xml.MetaData returns its argument
`override` | `def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]
`override` | `def` equals ( that : scala.Any ) : scala.Boolean deep equals method
| `def` equals1 ( that : scala.xml.MetaData ) : scala.Boolean
`override` | `def` filter ( f : (scala.xml.MetaData) => scala.Boolean ) : scala.xml.MetaData
| `def` getNamespace ( owner : scala.xml.Node ) : scala.AllRef returns null
| `def` getValue ( key : java.lang.String ) : scala.AllRef null
| `def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : scala.AllRef gets value of qualified (prefixed) attribute with given key
`final` `override` | `def` hasNext : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` isPrefixed : scala.Boolean
| `def` key : scala.AllRef
`final` `override` | `def` length ( i : scala.Int ) : scala.Int
`final` `override` | `def` length : scala.Int
`override` | `def` map ( f : (scala.xml.MetaData) => scala.xml.Text ) : scala.List[scala.xml.Text]
| `def` next : scala.AllRef
`protected` | `def` readResolve : java.lang.Object
`override` | `def` toString : java.lang.String
`override` | `def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit
| `def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit
`override` | `def` toString1 : java.lang.String
| `def` value : scala.AllRef
`override` | `def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean

Constructor Detail

`def` this

Def Detail

final override `def` $tag : scala.Int

override `def` append ( m : scala.xml.MetaData ) : scala.xml.MetaData

  appends given MetaData items to this MetaData list

final override `def` caseArity : scala.Int

final override `def` caseElement ( x$1 : scala.Int ) : scala.Any

final override `def` caseName : java.lang.String

override `def` containedIn1 ( m : scala.xml.MetaData ) : scala.Boolean

`def` copy ( next : scala.xml.MetaData ) : scala.xml.MetaData

  returns its argument

override `def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]

override `def` equals ( that : scala.Any ) : scala.Boolean

  deep equals method

`def` equals1 ( that : scala.xml.MetaData ) : scala.Boolean

override `def` filter ( f : (scala.xml.MetaData) => scala.Boolean ) : scala.xml.MetaData

`def` getNamespace ( owner : scala.xml.Node ) : scala.AllRef

  returns null

`def` getValue ( key : java.lang.String ) : scala.AllRef

  null

`def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : scala.AllRef

  gets value of qualified (prefixed) attribute with given key

final override `def` hasNext : scala.Boolean

override `def` hashCode : scala.Int

`def` isPrefixed : scala.Boolean

`def` key : scala.AllRef

final override `def` length ( i : scala.Int ) : scala.Int

final override `def` length : scala.Int

override `def` map ( f : (scala.xml.MetaData) => scala.xml.Text ) : scala.List[scala.xml.Text]

`def` next : scala.AllRef

protected `def` readResolve : java.lang.Object

override `def` toString : java.lang.String

override `def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit

`def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit

override `def` toString1 : java.lang.String

`def` value : scala.AllRef

override `def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean